From 39173696272e957100cbf4214d80e34b0edca8ca Mon Sep 17 00:00:00 2001
From: "Kirill A. Korinsky" <kirill@korins.ky>
Date: Sun, 3 Sep 2023 00:09:19 +0200
Subject: [PATCH] enforce MacPorts libffi

---
 libffi/libffi-types.lisp   | 2 +-
 libffi/libffi.lisp         | 2 +-
 src/libraries.lisp         | 6 +++---
 toolchain/c-toolchain.lisp | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

diff --git libffi/libffi-types.lisp libffi/libffi-types.lisp
index b2ec1dd..a478178 100644
--- libffi/libffi-types.lisp
+++ libffi/libffi-types.lisp
@@ -33,7 +33,7 @@
 ;; When installed through Mac Ports, libffi include files
 ;; will be found in /opt/local/include.
 #+darwin
-(cc-flags "-I/opt/local/include/")
+(cc-flags "-I@@MACPORTS_PREFIX@@/include/")
 
 #+openbsd
 (cc-flags "-I/usr/local/include")
diff --git src/libraries.lisp src/libraries.lisp
index dcbd206..f030e00 100644
--- src/libraries.lisp
+++ src/libraries.lisp
@@ -54,9 +54,9 @@
 (defun darwin-fallback-library-path ()
   (or (explode-path-environment-variable "DYLD_FALLBACK_LIBRARY_PATH")
       (list (merge-pathnames #p"lib/" (user-homedir-pathname))
-            #+arm64 #p"/opt/homebrew/lib/"
-            #p"/opt/local/lib/"
-            #p"/usr/local/lib/"
+            ;; #+arm64 #p"/opt/homebrew/lib/"
+            #p"@@MACPORTS_PREFIX@@/lib/"
+            ;; #p"/usr/local/lib/"
             #p"/usr/lib/")))
 
 (defvar *foreign-library-directories*
diff --git toolchain/c-toolchain.lisp toolchain/c-toolchain.lisp
index 0077e3f..d234e50 100644
--- toolchain/c-toolchain.lisp
+++ toolchain/c-toolchain.lisp
@@ -207,7 +207,7 @@
           (append
            arch-flags
            ;; For MacPorts
-           #+darwin (list "-I" "/opt/local/include/")
+           #+darwin (list "-I" "@@MACPORTS_PREFIX@@/include/")
            ;; ECL internal flags
            #+ecl (parse-command-flags c::*cc-flags*)
            ;; FreeBSD non-base header files
-- 
2.42.0

